import com.remedy.arsys.api.*;

class RowIterator implements IARRowIterator
{
   long[] m_fieldIds;

   public RowIterator()
   {
      m_fieldIds = null;
   }

   public void setFieldIds(long[] fieldIds)
   {
      m_fieldIds = fieldIds;
   }

   public void iteratorCallback(String curEntryId, Value[] values)
   {
      System.out.println("currentEntryId = " + curEntryId);

      for (int i = 0; i < values.length; i++)
      {
         System.out.println(values[i].toString());
      }
   }

}
